@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
rem setlocal enabledelayedexpansion
REM AYTO TO SCRIPT ΑΛΛΑΖΕΙ ΤO MHKOΣ ή ΥΨΟΣ ΣΕ ΟΛΑ ΤΑ ΑΡΧΕΙΑ ΒΙΝΤΕΟ ΤΩΝ 4 ΤΥΠΩΝ ΒΙΝΤΕΟ ΤΟΥ OBS + 1
REM [mp4,mov,mkv,flv & avi] ΠΟΥ ΒΡΙΣΚΟΝΤΑΙ ΣΤΟΝ ΚΑΤΑΛΟΓΟ-ΦΑΚΕΛΟ ΚΑΛΕΣΑΤΕ ΤΟ VIDEMENU.BAT
REM ΑΝ ΘΕΛΕΤΕ ΚΑΙ ΑΛΛΟΥΣ ΤΥΠΟΥΣ ΒΙΝΤΕΟ ΑΠΛΑ ΤΟΥΣ ΠΡΟΣΘΕΤΕ ΜΕΣΑ ΣΤΗΝ ΠΑΡΕΝΘΕΣΗ. π.χ. *.wmv *.webm
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

echo.
set StartWIDTH=""
set /p StartWIDTH=Γράψε την ΟΡΙΖΟΝΤΙΑ ΑΝΑΛΥΣΗ που θες να γίνει το Βίντεο, π.χ. 640, αλλιώς Enter για να μην αλλάξει:

echo.
set StartHEIGHT=""
set /p StartHEIGHT=Γράψε την ΚΑΘΕΤΗ ΑΝΑΛΥΣΗ που θες να γίνει το Βίντεο, π.χ. 320, αλλιώς Enter για να μην αλλάξει:


set /a "NOTRUE=0"
if not [%StartWIDTH%] equ [""] set /a "NOTRUE+=1"
if not [%StartHEIGHT%] equ [""] set /a "NOTRUE+=1"

rem ECHO  %NOTRUE%
rem ok douleyei 18-04-24

:FF

for /f "tokens=*" %%i in ('dir /b /c *.mp4 *.mov *.mkv *.flv *.avi') do ( 
	echo.
	echo Μετατρέπω το "%%i" ..
	echo.
	if [%NOTRUE%] equ [2]  (
		call ffmpeg -v quiet -stats -loglevel error -i "%%i" -vf "scale=%StartWIDTH%:%StartHEIGHT%" -c:a copy "%%~pi%%~ni-%StartWIDTH%-%StartHEIGHT%.%%~xi"
		call vidChckCode.bat "%%i" 
    ) else if [%NOTRUE%] equ [0] (
   		echo.
   		echo Ακύρωσα όλες τις μετατροπές γιατί δεν μου έδωσες διαστάσεις ...
   		echo.
   		goto End
   ) else (
		if  [%StartWIDTH%] equ [""] ( 
		  call ffmpeg -v quiet -stats -loglevel error -i "%%i" -vf "scale=-1:%StartHEIGHT%" -c:a copy "%%~pi%%~ni-%StartHEIGHT%-height.%%~xi"
		  call vidChckCode.bat "%%i" 
		) else (
		  call ffmpeg -v quiet -stats -loglevel error -i "%%i" -vf "scale=%StartWIDTH%:-1" -c:a copy "%%~pi%%~ni-%StartWIDTH%-width.%%~xi"
		  call vidChckCode.bat "%%i" 
		)
   )

)


endlocal 
goto End


:End 
call vid0ends.bat
exit /b 0